Functions

# game_info.cpp File Reference

Implementation of GameInfo. More...

`#include "../stdafx.h"`
`#include "../script/squirrel_class.hpp"`
`#include "game_info.hpp"`
`#include "game_scanner.hpp"`
`#include "../debug.h"`

Go to the source code of this file.

## Functions
static bool | CheckAPIVersion (const char *api_version)
| Check if the API version provided by the Game is supported.
template<>
const char * | GetClassName< GameInfo, ST_GS > ()

## Detailed Description

Implementation of GameInfo.

Definition in file game_info.cpp.

## Function Documentation

static bool CheckAPIVersion | ( | const char * | api_version | ) | `[static]`

Check if the API version provided by the Game is supported.

Parameters:

  | api_version | The API version as provided by the Game.

Definition at line 23 of file game_info.cpp.

Referenced by GameInfo::Constructor().